org.apache.ignite.internal.cluster

## Class ClusterTopologyServerNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.cluster.ClusterTopologyCheckedException
        - - org.apache.ignite.internal.cluster.ClusterTopologyServerNotFoundException

All Implemented Interfaces:
  Serializable

    public class ClusterTopologyServerNotFoundException
    extends ClusterTopologyCheckedException

Internal exception that is used to indicate that all server nodes have left the grid.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClusterTopologyServerNotFoundException(String msg)`
`ClusterTopologyServerNotFoundException(String msg, Throwable cause)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.cluster.ClusterTopologyCheckedException

`retryReadyFuture, retryReadyFuture`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClusterTopologyServerNotFoundException

    public ClusterTopologyServerNotFoundException(String msg)

Parameters:
  `msg` - Error message.

#### ClusterTopologyServerNotFoundException

    public ClusterTopologyServerNotFoundException(String msg,
                                          Throwable cause)

Parameters:
  `msg` - Error message.
  `cause` - Exception cause.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016